Index: .pydevproject
===================================================================
--- .pydevproject	(revision 9998be0dbd383be03dc8aaa85f1af1c9afc3f234)
+++ .pydevproject	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -4,5 +4,4 @@
 <pydev_property name="org.python.pydev.PYTHON_PROJECT_VERSION">python 2.7</pydev_property>
 <pydev_pathproperty name="org.python.pydev.PROJECT_SOURCE_PATH">
-<path>/code/sansrealspace_modeling/src</path>
 <path>/code/src</path>
 </pydev_pathproperty>
Index: setup.py
===================================================================
--- setup.py	(revision 5980b1a5a71267ef67af9f49f11bc52097c0f681)
+++ setup.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -67,7 +67,16 @@
 enable_openmp = True                    
 
-if sys.platform =='darwin' and not is_64bits:
-    # Disable OpenMP
-    enable_openmp = False
+if sys.platform =='darwin':
+    if not is_64bits:
+        # Disable OpenMP
+        enable_openmp = False
+    else:
+        # Newer versions of Darwin don't support openmp
+        try:
+            darwin_ver = int(os.uname()[2].split('.')[0])
+            if darwin_ver >= 12:
+                enable_openmp = False
+        except:
+            print "PROBLEM determining Darwin version"
 
 # Options to enable OpenMP
@@ -175,8 +184,6 @@
 
 # Plottools
-package_dir["danse"] = os.path.join("src", "danse")
-package_dir["danse.common"] = os.path.join("src", "danse", "common")
-package_dir["danse.common.plottools"] = os.path.join("src", "danse", "common", "plottools")
-packages.extend(["danse", "danse.common", "danse.common.plottools"])
+package_dir["sans.plottools"] = os.path.join("src", "sans", "plottools")
+packages.append("sans.plottools")
 
 # Park 1.2.1
Index: src/examples/test_chisq_panel.py
===================================================================
--- src/examples/test_chisq_panel.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/examples/test_chisq_panel.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -27,6 +27,6 @@
 
 import wx
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Plottable, Graph, Data1D, Theory1D
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Plottable, Graph, Data1D, Theory1D
 import  sys
 import numpy
@@ -86,5 +86,5 @@
         dy = numpy.sqrt(100*numpy.abs(y))/100
 
-    from danse.common.plottools.plottables import Data1D, Theory1D, Chisq , Graph
+    from sans.plottools.plottables import Data1D, Theory1D, Chisq , Graph
     data = Data1D(x,y,dy=dy)
     data.xaxis('distance', 'm')
Index: src/examples/test_copy_print.py
===================================================================
--- src/examples/test_copy_print.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/examples/test_copy_print.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -26,6 +26,6 @@
 
 import wx
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Plottable, Graph, Data1D, Theory1D
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Graph, Data1D, Theory1D
 import  sys
 sys.platform = 'win95'
@@ -85,6 +85,4 @@
     dy = numpy.sqrt(100*numpy.abs(y))/100
     
-    from danse.common.plottools.plottables import Data1D, Theory1D,  Graph
-    
     data = Data1D(x,y,dy=dy)
     data.xaxis('distance', 'm')
Index: src/examples/test_panel.py
===================================================================
--- src/examples/test_panel.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/examples/test_panel.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -37,6 +37,6 @@
 """
 import wx
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Plottable, Graph, Data1D, Theory1D
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Data1D
 import  sys
 import numpy
Index: src/examples/test_panel2D.py
===================================================================
--- src/examples/test_panel2D.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/examples/test_panel2D.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -37,6 +37,6 @@
 """
 import wx
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Plottable, Graph, Data1D, Theory1D,Data2D
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Data1D, Theory1D, Data2D
 import  sys,os
 import numpy
@@ -200,6 +200,5 @@
             path = dlg.GetPath()
             mypath = os.path.basename(path)
-            #from danse.common.plottools.plottables import Data2D
-            from DataLoader.loader import  Loader
+            from sans.dataloader.loader import  Loader
            
             #Instantiate a loader 
Index: src/examples/test_text_panel.py
===================================================================
--- src/examples/test_text_panel.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/examples/test_text_panel.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -27,9 +27,6 @@
 
 import wx
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Plottable, Graph, Data1D, Theory1D
-import  sys
-import numpy
-
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Text, Graph
 
 class TestPlotPanel(PlotPanel):
@@ -77,6 +74,4 @@
 def sample_graph():
     # Construct a simple graph
-
-    from danse.common.plottools.plottables import Text, Graph
     
     T1 = Text(text='text example 1', xpos=0.2, ypos=0.2)
@@ -106,5 +101,4 @@
     
 if __name__ == "__main__":
-    pass
     demo_plotter(sample_graph())
 
Index: src/sans/calculator/sans_gen.py
===================================================================
--- src/sans/calculator/sans_gen.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/calculator/sans_gen.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -1093,5 +1093,5 @@
 
 def test_load():
-    from danse.common.plottools.arrow3d import Arrow3D
+    from sans.plottools.arrow3d import Arrow3D
     import os
     dir = os.path.abspath(os.path.curdir)
Index: src/sans/guiframe/dataFitting.py
===================================================================
--- src/sans/guiframe/dataFitting.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/dataFitting.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -6,7 +6,7 @@
 import math
 from data_util.uncertainty import Uncertainty
-from danse.common.plottools.plottables import Data1D as PlotData1D
-from danse.common.plottools.plottables import Data2D as PlotData2D
-from danse.common.plottools.plottables import Theory1D as PlotTheory1D
+from sans.plottools.plottables import Data1D as PlotData1D
+from sans.plottools.plottables import Data2D as PlotData2D
+from sans.plottools.plottables import Theory1D as PlotTheory1D
 
 from sans.dataloader.data_info import Data1D as LoadData1D
Index: src/sans/guiframe/data_processor.py
===================================================================
--- src/sans/guiframe/data_processor.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/data_processor.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -5,5 +5,4 @@
 import numpy
 import math
-import time
 import re
 import os
@@ -16,8 +15,7 @@
 import wx.lib.sheet as sheet
 from sans.guiframe.panel_base import PanelBase
-from sans.guiframe.utils import format_number
 from sans.guiframe.events import NewPlotEvent 
 from sans.guiframe.events import StatusEvent  
-from danse.common.plottools import plottables
+from sans.plottools import plottables
 from sans.guiframe.dataFitting import Data1D
 
@@ -1051,5 +1049,4 @@
                                                  StatusEvent(status=msg,
                                                               info="error"))
-                                    #time.sleep(0.5) 
                                     return
 
@@ -1066,10 +1063,7 @@
                     msg += "Column %s is NOT " % str(label)
                     msg += "the results of fits to view..."
-                    #raise ValueError, msg
                     wx.PostEvent(self.parent.parent, 
                          StatusEvent(status=msg, info="error")) 
-                    #time.sleep(0.5)
                     return
-                    #continue
     
     def on_plot(self, event):
Index: src/sans/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/Plotter1D.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -13,27 +13,13 @@
 import wx
 import sys
-import os
-import pylab
 import math
 import numpy
-import time
-
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.SizeDialog import SizeDialog
-from danse.common.plottools.LabelDialog import LabelDialog
-#from danse.common.plottools.plottables import Graph
-from sans.guiframe import dataFitting 
-from sans.guiframe.events import EVT_NEW_PLOT
+
+from sans.plottools.PlotPanel import PlotPanel
 from sans.guiframe.events import StatusEvent 
-from sans.guiframe.events import NewPlotEvent
-from sans.guiframe.events import NewColorEvent
-from sans.guiframe.events import SlicerEvent
 from sans.guiframe.events import PanelOnFocusEvent
-from sans.guiframe.events import EVT_NEW_LOADED_DATA
 from sans.guiframe.utils import PanelMenu
-from sans.guiframe.dataFitting import Data1D
 from sans.guiframe.panel_base import PanelBase
 from sans.guiframe.gui_style import GUIFRAME_ICON
-from danse.common.plottools.binder import BindArtist
 from appearanceDialog import appearanceDialog
 from graphAppearance import graphAppearance
Index: src/sans/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/Plotter2D.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -13,14 +13,9 @@
 import wx
 import sys
-import os
 import math
 import numpy
-import pylab
-import danse.common.plottools
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Graph
-from danse.common.plottools.TextDialog import TextDialog
-from sans.guiframe.events import EVT_NEW_PLOT
-from sans.guiframe.events import EVT_SLICER_PARS
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Graph
+from sans.plottools.TextDialog import TextDialog
 from sans.guiframe.events import StatusEvent 
 from sans.guiframe.events import NewPlotEvent
@@ -30,6 +25,5 @@
 from  sans.guiframe.local_perspectives.plotting.binder import BindArtist
 from Plotter1D import ModelPanel1D
-from danse.common.plottools.toolbar import NavigationToolBar 
-from sans.guiframe.dataFitting import Data1D
+from sans.plottools.toolbar import NavigationToolBar 
 from matplotlib.font_manager import FontProperties
 from graphAppearance import graphAppearance
Index: src/sans/guiframe/local_perspectives/plotting/SimplePlot.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/SimplePlot.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -5,7 +5,6 @@
 from sans.guiframe.local_perspectives.plotting.Plotter2D import ModelPanel2D \
                     as PlotPanel
-from danse.common.plottools.toolbar import NavigationToolBar
-#from danse.common.plottools.PlotPanel import PlotPanel 
-from danse.common.plottools.plottables import Graph
+from sans.plottools.toolbar import NavigationToolBar
+from sans.plottools.plottables import Graph
 from sans.guiframe.utils import PanelMenu
 
Index: src/sans/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/graphAppearance.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -18,5 +18,5 @@
 
 import wx
-from danse.common.plottools.SimpleFont import SimpleFont
+from sans.plottools.SimpleFont import SimpleFont
 
 COLOR = ['black', 'blue', 'green', 'red', 'cyan', 'magenta', 'yellow']
Index: src/sans/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/masking.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/masking.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -25,6 +25,6 @@
 import copy
 import numpy
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Graph
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Graph
 from binder import BindArtist
 from sans.guiframe.dataFitting import Data1D, Data2D
Index: src/sans/guiframe/local_perspectives/plotting/profile_dialog.py
===================================================================
--- src/sans/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/guiframe/local_perspectives/plotting/profile_dialog.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -6,5 +6,5 @@
 import sys
 from copy import deepcopy
-from danse.common.plottools.plottables import Graph
+from sans.plottools.plottables import Graph
 from Plotter1D import ModelPanel1D as PlotPanel
 from sans.guiframe.dataFitting import Data1D
Index: src/sans/perspectives/calculator/data_operator.py
===================================================================
--- src/sans/perspectives/calculator/data_operator.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/perspectives/calculator/data_operator.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -6,12 +6,9 @@
 import time
 import numpy
-from sans.dataloader.data_info import Data2D
 from sans.dataloader.data_info import Data1D
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools.plottables import Graph
-from danse.common.plottools.canvas import FigureCanvas
-from danse.common.plottools import transform
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools.plottables import Graph
+from sans.plottools import transform
 from matplotlib.font_manager import FontProperties
-from matplotlib.figure import Figure
 from sans.guiframe.events import StatusEvent 
 from sans.perspectives.calculator import calculator_widgets as widget   
@@ -865,5 +862,5 @@
             first_item = list.keys()[0]
             if first_item.x != []:
-                from danse.common.plottools.PropertyDialog import Properties
+                from sans.plottools.PropertyDialog import Properties
                 dial = Properties(self, -1, 'Change Scale')
                 # type of view or model used
Index: src/sans/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sans/perspectives/calculator/gen_scatter_panel.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/perspectives/calculator/gen_scatter_panel.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -34,5 +34,5 @@
 from wx.lib.scrolledpanel import ScrolledPanel
 from sans.perspectives.calculator.load_thread import GenReader
-from danse.common.plottools.arrow3d import Arrow3D
+from sans.plottools.arrow3d import Arrow3D
 from sans.perspectives.calculator import calculator_widgets as widget
 from sans.guiframe.events import NewPlotEvent    
Index: src/sans/perspectives/fitting/basepage.py
===================================================================
--- src/sans/perspectives/fitting/basepage.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/perspectives/fitting/basepage.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -2005,5 +2005,5 @@
         x, y = self.model.getProfile()
 
-        from danse.common.plottools import Data1D as pf_data1d
+        from sans.plottools import Data1D as pf_data1d
         #from sans.perspectives.theory.profile_dialog import SLDPanel
         from sans.guiframe.local_perspectives.plotting.profile_dialog \
Index: src/sans/perspectives/pr/explore_dialog.py
===================================================================
--- src/sans/perspectives/pr/explore_dialog.py	(revision 5777106e8a4a0a62fe2ee0fbaf7c0aa19c0bb92b)
+++ src/sans/perspectives/pr/explore_dialog.py	(revision f468791f8ac1d2498ad79b33a2c4a0f06236dec8)
@@ -29,8 +29,8 @@
 
 # Import plotting classes
-from danse.common.plottools.PlotPanel import PlotPanel
-from danse.common.plottools import Data1D as Model1D
+from sans.plottools.PlotPanel import PlotPanel
+from sans.plottools import Data1D as Model1D
 from sans.guiframe.gui_style import GUIFRAME_ID
-from danse.common.plottools.plottables import Graph
+from sans.plottools.plottables import Graph
 
 from pr_widgets import PrTextCtrl
